#ifndef ARNOLDFALKWINTHERWEAKSYM
#define ARNOLDFALKWINTHERWEAKSYM

#include "FE.h"

namespace SyFi {

class ArnoldFalkWintherWeakSymSigma : public StandardFE {
    public: 
        ArnoldFalkWintherWeakSymSigma() {}
        ArnoldFalkWintherWeakSymSigma(Polygon& p, int order = 1 );  
        virtual ~ArnoldFalkWintherWeakSymSigma() {}

        virtual void set(int order); 
        virtual void set(Polygon& p);  
        virtual void compute_basis_functions();  
        virtual int nbf() const; 
        virtual GiNaC::ex N(int i);  
        virtual GiNaC::ex dof(int i); 
}; 

class ArnoldFalkWintherWeakSymU : public StandardFE {
    public: 
        ArnoldFalkWintherWeakSymU() {}
        ArnoldFalkWintherWeakSymU(Polygon& p, int order = 1);  
        virtual ~ArnoldFalkWintherWeakSymU() {}

        virtual void set(int order); 
        virtual void set(Polygon& p);  
        virtual void compute_basis_functions();  
        virtual int nbf() const; 
        virtual GiNaC::ex N(int i);  
        virtual GiNaC::ex dof(int i); 
}; 

class ArnoldFalkWintherWeakSymP : public StandardFE {
    public: 
        ArnoldFalkWintherWeakSymP() {}
        ArnoldFalkWintherWeakSymP(Polygon& p, int order = 1);  
        virtual ~ArnoldFalkWintherWeakSymP() {}

        virtual void set(int order); 
        virtual void set(Polygon& p);  
        virtual void compute_basis_functions();  
        virtual int nbf() const; 
        virtual GiNaC::ex N(int i);  
        virtual GiNaC::ex dof(int i); 
}; 



}



#endif 
