#ifndef NEDELEC_IS_INCLUDED
#define NEDELEC_IS_INCLUDED


#include "FE.h"

namespace SyFi {

class Nedelec : public StandardFE {
    public: 
        Nedelec() {}
        Nedelec(Polygon& p, int order = 1 );  
        virtual ~Nedelec() {}

        virtual void set(int order); 
        virtual void set(Polygon& p);  
        virtual void compute_basis_functions();  
        virtual int nbf() const; 
        virtual GiNaC::ex N(int i);  
        virtual GiNaC::ex dof(int i); 
}; 

}

#endif 
