#ifndef RAVIARTTHOMAS_IS_INCLUDED
#define RAVIARTTHOMAS_IS_INCLUDED


#include "FE.h"

namespace SyFi {

class RaviartThomas : public StandardFE {
    public: 
        RaviartThomas() {}
        RaviartThomas(Polygon& p, int order = 1);  
        virtual ~RaviartThomas() {}

        virtual void set(int order); 
        virtual void set(Polygon& p);  
        virtual void compute_basis_functions();  
        virtual int nbf() const; 
        virtual GiNaC::ex N(int i);  
        virtual GiNaC::ex dof(int i); 
}; 

}

#endif 
