#ifndef HERMITE_FE_IS_INCLUDED
#define HERMITE_FE_IS_INCLUDED 

#include "FE.h"

namespace SyFi {

class HermiteFE : public StandardFE {
    public: 
        HermiteFE() {}
        HermiteFE(Polygon& p, int order = 1);  
        virtual ~HermiteFE() {}

        virtual void set(Polygon& p);  
        virtual void compute_basis_functions();  
        virtual int nbf() const; 
        virtual GiNaC::ex N(int i);  
        virtual GiNaC::ex dof(int i); 
}; 

}

#endif

