#ifndef NEDELEC2HDIV_IS_INCLUDED
#define NEDELEC2HDIV_IS_INCLUDED


#include "FE.h"

namespace SyFi {


class Nedelec2Hdiv : public StandardFE {
    public: 
        Nedelec2Hdiv() {}
        Nedelec2Hdiv(Polygon& p, int order = 1);  
        virtual ~Nedelec2Hdiv() {}

        virtual void set(int order); 
        virtual void set(Polygon& p);  
        virtual void compute_basis_functions();  
        virtual int nbf() const; 
        virtual GiNaC::ex N(int i);  
        virtual GiNaC::ex dof(int i); 
}; 

}

#endif 
